Index: /code/trunk/data/defaultConfig/keybindings.ini
===================================================================
--- /code/trunk/data/defaultConfig/keybindings.ini	(revision 8308)
+++ /code/trunk/data/defaultConfig/keybindings.ini	(revision 8309)
@@ -25,5 +25,5 @@
 KeyEscape="keyESC"
 KeyF="scale -1 moveUpDown"
-KeyF1="OverlayGroup toggleVisibility Debug"
+KeyF1="OverlayGroup show Debug"
 KeyF10=
 KeyF11=
@@ -32,7 +32,7 @@
 KeyF14=
 KeyF15=
-KeyF2="OverlayGroup toggleVisibility Stats"
+KeyF2="OverlayGroup show Stats"
 KeyF3="OrxonoxOverlay toggleVisibility QuestGUI"
-KeyF4="OrxonoxOverlay toggleVisibility PickupInventory"
+KeyF4="OrxonoxOverlay show PickupInventory"
 KeyF5="startchat"
 KeyF6=
Index: /code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- /code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 8308)
+++ /code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 8309)
@@ -60,4 +60,5 @@
     SetConsoleCommand("OrxonoxOverlay", "scrollOverlay",    &OrxonoxOverlay::scrollOverlay);
     SetConsoleCommand("OrxonoxOverlay", "toggleVisibility", &OrxonoxOverlay::toggleVisibility);
+    SetConsoleCommand("OrxonoxOverlay", "show",     &OrxonoxOverlay::showOverlay);
     SetConsoleCommand("OrxonoxOverlay", "rotateOverlay",    &OrxonoxOverlay::rotateOverlay);
 
@@ -341,4 +342,24 @@
         }
     }
+    
+    /**
+    @brief
+        Shows Overlay by it's name.
+    @param name
+        The name of the overlay defined BaseObject::setName() (usually done with the "name"
+        attribute in the xml file).
+    */
+    /*static*/ void OrxonoxOverlay::showOverlay(const std::string& name)
+    {
+        std::map<std::string, OrxonoxOverlay*>::const_iterator it = overlays_s.find(name);
+        if (it != overlays_s.end())
+        {
+            OrxonoxOverlay* overlay= it->second;
+            if(overlay->isVisible())
+                overlay->changedVisibility();
+            else
+                overlay->show();
+        }
+    }
 
     /**
Index: /code/trunk/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- /code/trunk/src/orxonox/overlays/OrxonoxOverlay.h	(revision 8308)
+++ /code/trunk/src/orxonox/overlays/OrxonoxOverlay.h	(revision 8309)
@@ -77,5 +77,5 @@
             Describes the rotational state of a an overlay.
             Horizontal means 0/180 degrees, Vertical is 90/270 degrees
-            and Inbetween is everything else.
+            and in between is everything else.
         */
         enum RotationState
@@ -153,4 +153,5 @@
         static void scrollOverlay(const std::string& name, const Vector2& scroll);
         static void toggleVisibility(const std::string& name);
+        static void showOverlay(const std::string& name);
         //! ConsoleCommand: Accesses the overlay by its name and rotates it.
         static void rotateOverlay(const std::string& name, const Degree& angle);
Index: /code/trunk/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- /code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 8308)
+++ /code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 8309)
@@ -44,4 +44,5 @@
 
     SetConsoleCommand("OverlayGroup", "toggleVisibility", &OverlayGroup::toggleVisibility);
+    SetConsoleCommand("OverlayGroup", "show", &OverlayGroup::show);
     SetConsoleCommand("OverlayGroup", "scaleGroup",       &OverlayGroup::scaleGroup);
     SetConsoleCommand("OverlayGroup", "scrollGroup",      &OverlayGroup::scrollGroup);
@@ -174,4 +175,24 @@
         }
     }
+    
+    /**
+    @brief
+        Shows an overlay group by its name.
+    @param name
+        The name of the group defined BaseObject::setName() (usually done with the "name" attribute in the xml file).
+    */
+    /*static*/ void OverlayGroup::show(const std::string& name)
+    {
+        for (ObjectList<OverlayGroup>::iterator it = ObjectList<OverlayGroup>::begin(); it; ++it)
+        {
+            if ((*it)->getName() == name)
+            {
+                if((*it)->isVisible())
+                    (*it)->changedVisibility();
+                else
+                    (*it)->setVisible(!((*it)->isVisible()));
+            }
+        }
+    }
 
     /**
Index: /code/trunk/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- /code/trunk/src/orxonox/overlays/OverlayGroup.h	(revision 8308)
+++ /code/trunk/src/orxonox/overlays/OverlayGroup.h	(revision 8309)
@@ -61,4 +61,5 @@
 
         static void toggleVisibility(const std::string& name);
+        static void show(const std::string& name);
         static void scaleGroup(const std::string& name, float scale);
         static void scrollGroup(const std::string& name, const Vector2& scroll);
